scitbx::boost_python::container_conversions::fixed_capacity_policy Struct Reference

`#include <container_conversions.h>`

Inheritance diagram for scitbx::boost_python::container_conversions::fixed_capacity_policy:
Collaboration diagram for scitbx::boost_python::container_conversions::fixed_capacity_policy:

## Static Public Member Functions

template<typename ContainerType >
static bool | check_size (boost::type< ContainerType >, std::size_t sz)
Static Public Member Functions inherited from scitbx::boost_python::container_conversions::variable_capacity_policy
template<typename ContainerType >
static void | reserve (ContainerType &a, std::size_t sz)
template<typename ContainerType , typename ValueType >
static void | set_value (ContainerType &a, std::size_t i, ValueType const &v)
Static Public Member Functions inherited from scitbx::boost_python::container_conversions::default_policy
static bool | check_convertibility_per_element ()
template<typename ContainerType >
static bool | check_size (boost::type< ContainerType >, std::size_t)
template<typename ContainerType >
static void | assert_size (boost::type< ContainerType >, std::size_t)
template<typename ContainerType >
static void | reserve (ContainerType &a, std::size_t sz)

## Member Function Documentation

template<typename ContainerType >

static bool scitbx::boost_python::container_conversions::fixed_capacity_policy::check_size | ( | boost::type< ContainerType > | ,
|  | std::size_t | sz
| ) |  |

inline static

The documentation for this struct was generated from the following file:

- rcsb/container_conversions.h